{
  lib,
  config,
  ...
}:
let
  inherit (config.machine.mail) enable;
in
with lib;
mkIf enable {
  services.rspamd = {
    enable = true;
    overrides = {
      "local.d/greylist.conf" = {
        text = ''
          enabled = false;
        '';
      };
    };
  };
}
